---
title: "Applies the given updates to the ordered assets identified only by their asset id."
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-orderedassets/patch"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Applies the given updates to the ordered assets identified only by their asset id.

`PATCH` `/v1/orderedassets`

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Request body

Content types: `application/*+json`, `application/json`, `application/json-patch+json`

## Responses

- `202` - Accepted
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/orderedassets:
    patch:
      parameters:
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      requestBody:
        content:
          application/*+json:
            schema:
              items:
                $ref: "#/components/schemas/GenericAssetBulkPatchAssetRequest"
              type: array
              x-is-public: true
          application/json:
            schema:
              items:
                $ref: "#/components/schemas/GenericAssetBulkPatchAssetRequest"
              type: array
              x-is-public: true
          application/json-patch+json:
            schema:
              items:
                $ref: "#/components/schemas/GenericAssetBulkPatchAssetRequest"
              type: array
              x-is-public: true
        description: A List of asset patch data.
      responses:
        "202":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AssetBulkJobResponse"
          description: Accepted
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
      summary: Applies the given updates to the ordered assets identified only by
        their asset id.
      tags:
        - OrderedAssetsBulkEdit
security:
  - PersonalAccessToken: []
components:
  schemas:
    GenericAssetBulkPatchAssetRequest:
      additionalProperties: false
      properties:
        assetId:
          format: int64
          type: integer
        assetStatusId:
          format: int32
          type:
            - "null"
            - integer
        costCenter:
          maxLength: 256
          minLength: 0
          pattern: ^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$
          type:
            - "null"
            - string
        customerSpecificFields:
          type: "null"
        location:
          maxLength: 256
          minLength: 0
          pattern: ^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$
          type:
            - "null"
            - string
        locationOfInstallation:
          maxLength: 256
          minLength: 0
          pattern: ^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$
          type:
            - "null"
            - string
        orderNumber:
          maxLength: 256
          minLength: 0
          pattern: ^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$
          type:
            - "null"
            - string
        serialNumber:
          maxLength: 30
          minLength: 0
          pattern: ^((?!(<[sS][cC][rR][iI][pP][tT]|\[\%|%\]))(.|\s))*$
          type:
            - "null"
            - string
      type: object
    AssetBulkJobResponse:
      additionalProperties: false
      properties:
        assetsSuccessfullyUpdated:
          format: int32
          type:
            - "null"
            - integer
        assetsTotal:
          format: int32
          type: integer
        createDate:
          format: date-time
          type: string
        endDate:
          format: date-time
          type:
            - "null"
            - string
        errors:
          items:
            $ref: "#/components/schemas/BulkJobAssetErrorResponse"
          type:
            - "null"
            - array
          x-is-public: true
        id:
          format: int32
          type: integer
        startDate:
          format: date-time
          type:
            - "null"
            - string
        status:
          $ref: "#/components/schemas/ExecutionStatus"
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
    BulkJobAssetErrorResponse:
      additionalProperties: false
      properties:
        assetId:
          format: int64
          type: integer
        errors:
          items:
            type: string
          type:
            - "null"
            - array
      type: object
    ExecutionStatus:
      enum:
        - notStarted
        - validating
        - inProgress
        - successful
        - partiallySuccessful
        - failed
        - failedPotentiallyInconsistent
      type: string
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
